set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue

insmod gzio

menuentry 'Install' {
    set background_color=black
    linux    /debian-installer/arm64/linux --- quiet
    initrd   /debian-installer/arm64/initrd.gz
}
submenu --hotkey=a 'Advanced options ...' {
    set menu_color_normal=cyan/blue
    set menu_color_highlight=white/blue
    menuentry '... Expert install' {
        set background_color=black
        linux    /debian-installer/arm64/linux priority=low ---
        initrd   /debian-installer/arm64/initrd.gz
    }
    menuentry '... Rescue mode' {
        set background_color=black
        linux    /debian-installer/arm64/linux rescue/enable=true --- quiet
        initrd   /debian-installer/arm64/initrd.gz
    }
    menuentry '... Automated install' {
        set background_color=black
        linux    /debian-installer/arm64/linux auto=true priority=critical --- quiet
        initrd   /debian-installer/arm64/initrd.gz
    }
    menuentry --hotkey=x '... Expert install with speech synthesis' {
        set background_color=black
        linux    /debian-installer/arm64/linux priority=low speakup.synth=soft ---
        initrd   /debian-installer/arm64/initrd.gz
    }
    menuentry --hotkey=r '... Rescue mode with speech synthesis' {
        set background_color=black
        linux    /debian-installer/arm64/linux rescue/enable=true speakup.synth=soft --- quiet
        initrd   /debian-installer/arm64/initrd.gz
    }
    menuentry --hotkey=a '... Automated install with speech synthesis' {
        set background_color=black
        linux    /debian-installer/arm64/linux auto=true priority=critical speakup.synth=soft --- quiet
        initrd   /debian-installer/arm64/initrd.gz
    }
    submenu '... Desktop environment menu ...' {
        set menu_color_normal=cyan/blue
        set menu_color_highlight=white/blue
        submenu '... GNOME desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            menuentry '... Install' {
                set background_color=black
                linux    /debian-installer/arm64/linux desktop=gnome --- quiet
                initrd   /debian-installer/arm64/initrd.gz
            }
            submenu '... GNOME advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=gnome priority=low ---
                    initrd   /debian-installer/arm64/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=gnome auto=true priority=critical --- quiet
                    initrd   /debian-installer/arm64/initrd.gz
                }
                menuentry --hotkey=x '... Expert install with speech synthesis' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=gnome priority=low speakup.synth=soft ---
                    initrd   /debian-installer/arm64/initrd.gz
                }
                menuentry --hotkey=a '... Automated install with speech synthesis' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=gnome auto=true priority=critical speakup.synth=soft --- quiet
                    initrd   /debian-installer/arm64/initrd.gz
                }
            }
        }
        submenu '... KDE desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            menuentry '... Install' {
                set background_color=black
                linux    /debian-installer/arm64/linux desktop=kde --- quiet
                initrd   /debian-installer/arm64/initrd.gz
            }
            submenu '... KDE advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=kde priority=low ---
                    initrd   /debian-installer/arm64/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=kde auto=true priority=critical --- quiet
                    initrd   /debian-installer/arm64/initrd.gz
                }
                menuentry --hotkey=x '... Expert install with speech synthesis' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=kde priority=low speakup.synth=soft ---
                    initrd   /debian-installer/arm64/initrd.gz
                }
                menuentry --hotkey=a '... Automated install with speech synthesis' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=kde auto=true priority=critical speakup.synth=soft --- quiet
                    initrd   /debian-installer/arm64/initrd.gz
                }
            }
        }
        submenu '... LXDE desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            menuentry '... Install' {
                set background_color=black
                linux    /debian-installer/arm64/linux desktop=lxde --- quiet
                initrd   /debian-installer/arm64/initrd.gz
            }
            submenu '... LXDE advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=lxde priority=low ---
                    initrd   /debian-installer/arm64/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=lxde auto=true priority=critical --- quiet
                    initrd   /debian-installer/arm64/initrd.gz
                }
                menuentry --hotkey=x '... Expert install with speech synthesis' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=lxde priority=low speakup.synth=soft ---
                    initrd   /debian-installer/arm64/initrd.gz
                }
                menuentry --hotkey=a '... Automated install with speech synthesis' {
                    set background_color=black
                    linux    /debian-installer/arm64/linux desktop=lxde auto=true priority=critical speakup.synth=soft --- quiet
                    initrd   /debian-installer/arm64/initrd.gz
                }
            }
        }
    }
}
menuentry --hotkey=s 'Install with speech synthesis' {
    set background_color=black
    linux    /debian-installer/arm64/linux speakup.synth=soft --- quiet
    initrd   /debian-installer/arm64/initrd.gz
}
